package cn.com.qmth.dp.examcloud.oe.modules.export_data;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.SQLException;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Component;

import com.google.common.collect.Maps;

import cn.com.qmth.examcloud.commons.logging.ExamCloudLog;
import cn.com.qmth.examcloud.commons.logging.ExamCloudLogFactory;
import cn.com.qmth.examcloud.commons.util.JsonUtil;
import cn.com.qmth.examcloud.commons.util.ResourceLoader;

@Component
public class ExportData {

	private static ExamCloudLog log = ExamCloudLogFactory.getLog(ExportData.class);

	private static ExamCloudLog resultlog = ExamCloudLogFactory.getLog("RESULT_LOGGER");

	@Autowired
	JdbcTemplate jdbcTemplate;

	public void start() {
		String sql = ResourceLoader.getResource("sql/export_data/export_data.sql");

		try {
			Connection connection = jdbcTemplate.getDataSource().getConnection();

			PreparedStatement ps = connection.prepareStatement(sql, ResultSet.TYPE_FORWARD_ONLY,
					ResultSet.CONCUR_READ_ONLY);
			ps.setFetchSize(Integer.MIN_VALUE);
			ResultSet rs = ps.executeQuery(sql);

			int count = 0;
			while (rs.next()) {
				Map<String, Object> map = Maps.newHashMap();
				ResultSetMetaData metaData = rs.getMetaData();
				int columnCount = metaData.getColumnCount();
				for (int i = 0; i < columnCount; i++) {
					String columnName = metaData.getColumnName(i + 1);
					Object columnValue = rs.getObject(i + 1);
					map.put(columnName, columnValue);
				}

				count++;
				log.info("[ExportData]. count=" + count);
				resultlog.info(JsonUtil.toJson(map));

			}
		} catch (SQLException e) {
			throw new RuntimeException(e);
		}

	}

}
